## LassoSamlp2Response LassoSamlp2Response — <samlp2:Response> |

## Functions

LassoNode * | lasso_samlp2_response_new ()

## Types and Values

struct | LassoSamlp2Response

## Description

Figure 86. Schema fragment for samlp2:Response

    <complexType name="ResponseType">
      <complexContent>
        <extension base="samlp:StatusResponseType">
          <choice minOccurs="0" maxOccurs="unbounded">
            <element ref="saml:Assertion"/>
            <element ref="saml:EncryptedAssertion"/>
          </choice>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_samlp2_response_new ()

    LassoNode *
    lasso_samlp2_response_new (void);

Creates a new LassoSamlp2Response object.

#### Returns

a newly created LassoSamlp2Response object

## Types and Values

### struct LassoSamlp2Response

    struct LassoSamlp2Response {
    	LassoSamlp2StatusResponse parent;

    	/* elements */
    	GList *Assertion; /* of LassoSaml2Assertion */
    	GList *EncryptedAssertion; /* of LassoSaml2EncryptedElement */
    };